| Version: 3.2.5

wxTrackable Class Reference
Class List by Category » Smart Pointers

`#include <wx/tracker.h>`

Inheritance diagram for wxTrackable:
[legend]

## Detailed Description

Add-on base class for a trackable object.

This class maintains an internal linked list of classes of type wxTrackerNode and calls OnObjectDestroy() on them if this object is destroyed. The most common usage is by using the wxWeakRef<T> class template which automates this. This class has no public API. Its only use is by deriving another class from it to make it trackable.

class MyClass: public Foo, public wxTrackable
{
// whatever
}
typedef wxWeakRef<MyClass> MyClassRef;
wxTrackable
Add-on base class for a trackable object.
Definition: tracker.h:30

##

Library: wxBase
Category: Smart Pointers